Skip to Content
WalidoDocs
Public APIContacts

Create a contact

POST
/contacts

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key in the Authorization: Bearer <key> header. Keys are created in the Walido dashboard (Settings → API Keys).

Request Body

application/json
  1. body
group_id*string
Match^[a-f0-9]{24}$
phone_numbers*array<>
Items1 <= items
first_name?string
Default""
last_name?string
Default""
email?string

Email address. Empty string is accepted if you don't have the contact's email.

Formatemail
Default""
company?string
Default""
prompt?string
Default""
preferred_language?string
Value in"de""en""fr""it""de-CH""es""pt""tr""sv""fi""nl""unknown"
gender?string

Optional gender value. Omit it or send an empty string when not specified.

Default""
forwarding_id?|
Match^[a-f0-9]{24}$
Defaultnull

Response Body

Created.

application/json
  1. response
data?
Example Request
curl -X POST 'https://api.walido.it/api/v1/contacts' \  -H 'Content-Type: application/json' \  -d '{  "group_id": "65a1234567890abcdef01234",  "phone_numbers": [    "+12025550123"  ],  "first_name": "Ada",  "last_name": "Lovelace"}'
Example Response
{  "data": {    "id": "string",    "group_id": "string",    "group_name": "string",    "phone_numbers": [      "string"    ],    "first_name": "string",    "last_name": "string",    "email": "string",    "company": "string",    "gender": "string",    "prompt": "string",    "preferred_language": "string",    "forwarding_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}